GuppY, le CMS de référence sans base de données

telecharger.png

Vous êtes ici :   Accueil » Forum » Guppy 5 » longueur du mot de passe
    Imprimer la page...

Attention : GuppY 6.00.10

Sortie de GuppY 6.00.10 : pack et patch cumulatif et non-cumulatif

Pour passer de la version 6.00.09 à la 6.00.10 vous appliquez le patch non-cumulatif GuppY 6.00.10 .

Pour passer de la version 5.03.03 à la version 6.00.10, vous devez impérativement suivre la procédure de migration décrite dans cet article.
 

Pour les plugins et pour les skins, merci de poster sur le site de leur auteur.

Les skins et les plugins de notre ami Saxbar sont en téléchargement sur ce site.

 

Forum - Guppy 5 - longueur du mot de passe


Connectés : ( personne )

  Sujet n° 131607
le 22/07/2022 @ 15:10
par smr78

Bonjour à tous,

J'ai un site Guppy v5.01.00 qui fonctionne depuis plus de 2 ans ; "fonctionnait" en fait, car depuis début juillet, il a eu quatre fois la même panne où il ne s'affiche plus.

...

Je vous remercie par avance pour vos conseils

Supprimé par Papinou, pour les questions de sécurité, il est plus judicieux de nous prévenir par mail.

  

Réponse n° 1
--------
le 22/07/2022 @ 18:24
par Papinou
Administrateur

Bonjour,

La version 5.01.00 date du 12.06.2015, elle est obsolète et contient des failles.

Ce n'est donc pas étonnant que le site ne s'affiche plus, nous ne répétons pas encore assez qu'il faut patcher à chaque  sortie de version.

Changer le mot de passe ne sert à rien, il faudra par sécurité changer tous les mots de passe.

La seule solution :
- faire une sauvegarde du site en local,
- appliquer le patch cumulatif 5.03.03 (attention, il y aura du travail notamment pour l'affichage),
- migrer en version 6 en suivant ce tutoriel.

Cordialement, Papinou

  
Réponse n° 2
--------
le 22/07/2022 @ 19:52
par smr78

Ok, je m'attelle à une mise à jour

Merci bien

Cordialement

  
Réponse n° 3
--------
le 22/07/2022 @ 21:18
par smr78

Oups, j'essaie d'abord de faire la mise à jour avec le pack cumulatif

j'ai donc suivi les conseils du site :

https://www.guppyed.eu/articles.php?lng=fr&pg=3006&mnuid=2400&tconfig=0#inf_50300

Pour passer d'une version 5.00.xx inférieure à la version 5.03.02, vers Guppy 5.03.03, c'est le patch cumulatif 5.03.03 que vous devez utiliser : gy_upg_50303 et j'ai téléchargé ce pack

Avant de l'installer, j'ai mis à jour le Ck Editor, puis le patch Addons for Guppy, avec la méthode Installer et ça s'est bien passé

Mais ensuite, quand j'essaie de charger le pack, j'ai un message d'échec, et je vois que la taille des fichiers doit être inférieure à 2 M, exactement comme l'alerte de l'aide qui dit :

Attention votre hébergeur peut limiter la taille des fichiers téléchargeables- procédez alors avec la méthode 2

Mon problème est que je ne trouve pas sur la page d'aide, où est la méthode 2

A l'aide s'il vous plaît

Merci par avance

Cordialement

  
Réponse n° 4
--------
le 23/07/2022 @ 12:31
par smr78

J'ai essayé une autre méthode, en téléchargeant le pack Guppy version 6.0 sur un autre site qui m'appartient, avec l'intention ensuite de faire une migration du contenu existant.

J'arrive bien à installer Guppy v6, et j'atterris sur la page Admin avec le "gros carton jaune" qui demande de créer un admin. Puis je me retrouve sur la page qui demande de choisir entre supprimer le contenu démo, ou bien faire une migration de version existante.

J'ai commencé à tester la migration, et j'ai un formulaire qui demande ceci :

Veuillez saisir le nom complet du dossier racine de votre site sauvegardé (ex: c:nom-du-dossier-de-ma-sauvegarde) (ne pas oublier le à la fin)

Il n'est pas clair si le dossier de sauvegarde est sur mon PC, ou bien sur le site, dans un dossier à part de ceux utilisés pour Guyppy 6

J'ai essayé avec un dossier sur mon Pc et ça donne une erreur ; si c'est un dossier sur le site, je me demande comment écrire l'adresse du dossier de sauvegarde!

Si au contraire je fais une installation propre, et après, avoir supprimé le dossier Install, comment dois-je remplacer le contenu V6 par mes fichiers?

Avez-vous la bonne explication?

Merci par avance

Cordialement

  
Réponse n° 5
--------
le 23/07/2022 @ 22:30
par smr78

J'ai bien avancé en installant directement une version v6 sur mon site, puis j'ai ajouté mes fichiers perso.

J'ai de belles pages v6, mais j'ai un gros travail pour personnaliser les styles des menus et boîtes.

J'ai noté un appel  sur ce site, pour avoir une feuille de style :

href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.1/css/bootstrap.min.css"

est-ce un partenaire de Guppy?

J'espère terminer vite et ne plus avoir de problème d'insécurité

Cordialement


Rectifié par smr78 le 24/07/2022 @ 14:27
  
Réponse n° 6
--------
le 24/07/2022 @ 08:22
par Papinou
Administrateur

Bonjour,

Citation :

Et quelle drôle d'idée d'être allé chercher une feuille de style sur cet autre site :

href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.1/css/bootstrap.min.css

Avant de faire des commentaires saugrenus et de faire n'importe quoi, il faudrait lire la documentation de GuppY 6, elle se trouve sur le Centre d'Aide GuppY.

Bootstrap 4 est intégré dans GuppY 6 et l'appel du cdnjs est indispensable. Tu n'as plus qu'à enlever le commentaire.

Les fichiers css se trouvent dans le répertoire skins puis dans le dossier de chaque skin.

Il y a même un tuto pour l'utilisation de Config look qui commence sur cette page.

Cordialement, Papinou

  
Réponse n° 7
--------
le 25/07/2022 @ 01:10
par smr78

Bonsoir,

Une petite question, à propos du fonctionnement de la version Guppy 5.01

quels sont les noms des programmes/fichiers, qui ont besoin de lire le fichier

data/config/config.inc

Merci beaucoup par avance

Bien cordialement

  
sujet actif   sujet clos   Important!   Nouveau  
Rectifier message   Clôturer sujet   Remonter sujet